> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Redeem gift card

> Use the Redeem Gift Card API call to send the remaining card balance to the Platform, and the Platform updates the information accordingly.

<Note>
  Part of the [Gift Cards](/gift-cards-281937) integration guide — see it for when and how to use this endpoint.
</Note>


## OpenAPI

````yaml api-reference/specs/giftcards.yaml POST /RedeemGiftCard
openapi: 3.0.3
info:
  title: Gift Cards
  version: 1.0.0
  description: >-
    Customers with a gift card can use the card to pay for their purchases just
    as they would use other payment methods.
servers: []
security: []
paths:
  /RedeemGiftCard:
    post:
      summary: Redeem gift card
      description: >-
        Use the Redeem Gift Card API call to send the remaining card balance to
        the Platform, and the Platform updates the information accordingly.
      operationId: redeemGiftCard
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RedeemGiftCardRequest'
            example:
              MerchantGUID: abcdabcd-abcd-abcd-abcd-abcdabcdabcd
              ShippingCountryCode: UA
              Cards:
                - CardId: 167
                  BalanceInGiftCardCurrency: 10
                  BalanceInCustomerCurrency: 21.39
                  GiftCardCurrencyCode: GBP
                  CustomerCurrencyCode: EUR
                  BalanceUsedInCardCurrency: 10
                  BalanceUsedInCustomerCurrency: 21.39
                  CardFields:
                    CardId: card10
                    CardPin: '111'
      responses:
        '200':
          description: Redemption result.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedeemGiftCardResponse'
              example:
                Cards:
                  - CardId: 167
                    BalanceInGiftCardCurrency: 10
                    BalanceInCustomerCurrency: 21.39
                    GiftCardCurrencyCode: GBP
                    CustomerCurrencyCode: EUR
                    BalanceUsedInCardCurrency: 10
                    BalanceUsedInCustomerCurrency: 21.39
                    RedeemTransactionId: 120423
                    CardFields:
                      CardId: card10
                      CardPin: '111'
components:
  schemas:
    RedeemGiftCardRequest:
      type: object
      title: RedeemGiftCardRequest
      properties:
        MerchantGUID:
          type: string
          description: Merchant unique identifier.
        ShippingCountryCode:
          type: string
          description: Code of country selected in Shipping country dropdown.
        Cards:
          type: array
          description: Data of all applied cards.
          items:
            $ref: '#/components/schemas/CardData'
    RedeemGiftCardResponse:
      type: object
      title: RedeemGiftCardResponse
      properties:
        Cards:
          type: array
          description: >-
            The same list of cards from request after redeem process.
            CardData.RedeemTransactionId should be set during the redeem call.
            If we do not receive RedeemTransactionId for each card we will
            decide that redeem is failed.
          items:
            $ref: '#/components/schemas/CardData'
        ErrorCode:
          type: string
          description: Code of platform error.
        ErrorText:
          type: string
          description: Message of platform error.
    CardData:
      type: object
      title: CardData
      properties:
        CardId:
          type: integer
          format: int64
          description: ID of card in DB table on Global-e CORE side.
        BalanceUsedInCardCurrency:
          type: number
          description: Amount to redeem in gift card currency.
        GiftCardCurrencyCode:
          type: string
          description: Gift card currency code.
        CustomerCurrencyCode:
          type: string
          description: User currency code (checkout currency).
        CardFields:
          type: object
          additionalProperties:
            type: string
          description: >-
            The Value of each field is defined in the configuration. Key –
            defined field name. Value – user input data.
        CardHash:
          type: string
          description: Unique hash generated for each card.
        RedeemTransactionId:
          type: string
          description: Value which is set as a result of card redemption.
        RefundedBalanceInCustomerCurrency:
          type: number
          description: >-
            Amount of refunded money in customer currency (should be set in
            refund API call).
        RefundedBalanceInGiftCardCurrency:
          type: number
          description: >-
            Amount of refunded money in gift card currency (should be set in
            refund API call).
        IsRefundSuccess:
          type: boolean
          nullable: true
          description: >-
            If the refund is successful, set to True. If the refund fails, set
            to False. If there is no refund on the card it should be NULL.
        ErrorCode:
          type: string
          description: Code of error which should be set during Redeem and Refund calls.
        ErrorText:
          type: string
          description: Text of error message.

````